Assets version for bootstrap 5.1

Assets version for bootstrap 5.1

trinanda357trinanda357 Posts: 1Questions: 1Answers: 0

Before I used Datatables on Odoo version 14, which is Odoo 14 using Bootstrap 4.3.
https://github.com/odoo/odoo/tree/14.0/addons/web/static/lib/bootstrap
Now when I upgrade my Odoo to version 16 which is now Odoo is using bootstrap 5.1,
https://github.com/odoo/odoo/tree/16.0/addons/web/static/lib/bootstrap

I have some of the features on my Datatables that don't work anymore.

Here is the list of Datatables assets that I use on bootstrap 4.3:
buttons.dataTables.min.css
dataTables.bootstrap5.min.css
fixedHeader.dataTables.min.css
jquery.dataTables.min.css
responsive.dataTables.min.css
rowReorder.dataTables.min.css
buttons.html5.min.js
buttons.print.min.js
dataTables.bootstrap5.min.js
dataTables.buttons.min.js
dataTables.responsive.min.js
dataTables.rowReorder.min.js
jquery.dataTables.min.js
jszip.min.js
pdfmake.min.js
vfs_fonts.js

Now, if I'm using Bootstrap 5.1, should I also upgrades all of the Datatables assets files above?

Thanks,
Tri

Answers

  • allanallan Posts: 57,263Questions: 1Answers: 9,121 Site admin

    If you were using Bootstrap 4 before you would have been loading out bootstrap4 named files. To update it for Bootstrap 5, change the 4 to a 5 in your includes.

    Even better would be to use the download builder to make sure you get the latest versions of everything and make sure you get all the files you need.

    If something isn't working for you, please link to a test case showing the issue.

    Allan

Sign In or Register to comment.